<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name: 'EmployeeSkill')]
class EmployeeSkill
{
    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Employee::class, mappedBy: 'EmployeeSkills')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Employee $employee = null;

    #[ORM\Id]
    #[ORM\OneToMany(targetEntity: Skill::class, mappedBy: 'EmployeeSkills')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Skill $skill = null;

    public function getSkill(): ?Skill
    {
        return $this->skill;
    }

    public function setSkill(?Skill $skill): void
    {
        $this->skill = $skill;
    }

    public function getEmployee(): ?Employee
    {
        return $this->employee;
    }

    public function setEmployee(?Employee $employee): void
    {
        $this->employee = $employee;
    }



}
